<?php
/**
 * Add these flaticons to megamenu
 */
if(!class_exists("Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu")) {
    class Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu {
        public function __construct($data = [], $args = null) {
            add_filter("mascot_mega_menu/get_icons", array($this, 'icon_list'));
            add_action( 'wp_enqueue_scripts', array($this, 'add_flaticon_style'));
            add_action( 'admin_enqueue_scripts', array($this, 'add_flaticon_style'));
        }

        public function icon_list($icons){
            $custom_icons = [
                'Flaticon Pack' => array(
                    array("flaticon-creative-internet" => "flaticon-creative-internet"),
                    array("flaticon-creative-box" => "flaticon-creative-box"),
                    array("flaticon-creative-pen-tool" => "flaticon-creative-pen-tool"),
                    array("flaticon-creative-pack" => "flaticon-creative-pack"),
                    array("flaticon-creative-up-arrow" => "flaticon-creative-up-arrow"),
                    array("flaticon-creative-diagonal-arrow" => "flaticon-creative-diagonal-arrow"),
                    array("flaticon-creative-right-arrow" => "flaticon-creative-right-arrow"),
                    array("flaticon-creative-ux-design" => "flaticon-creative-ux-design"),
                    array("flaticon-creative-box-1" => "flaticon-creative-box-1"),
                    array("flaticon-creative-in-stock" => "flaticon-creative-in-stock"),
                    array("flaticon-creative-product-promotion" => "flaticon-creative-product-promotion"),
                    array("flaticon-creative-globe" => "flaticon-creative-globe"),
                    array("flaticon-creative-layer" => "flaticon-creative-layer"),
                    array("flaticon-creative-layer-1" => "flaticon-creative-layer-1"),
                    array("flaticon-creative-supply-chain" => "flaticon-creative-supply-chain"),
                    array("flaticon-creative-open-box" => "flaticon-creative-open-box"),
                    array("flaticon-creative-mobile-application" => "flaticon-creative-mobile-application"),
                    array("flaticon-creative-next" => "flaticon-creative-next"),
                    array("flaticon-creative-down-arrow" => "flaticon-creative-down-arrow"),
                    array("flaticon-creative-search" => "flaticon-creative-search"),
                    array("flaticon-creative-magnifying-glass" => "flaticon-creative-magnifying-glass"),
                    array("flaticon-creative-design" => "flaticon-creative-design"),
                    array("flaticon-creative-touch" => "flaticon-creative-touch"),
                    array("flaticon-creative-technical-support" => "flaticon-creative-technical-support"),
                    array("flaticon-creative-personal-development" => "flaticon-creative-personal-development"),
                    array("flaticon-creative-networking" => "flaticon-creative-networking"),
                    array("flaticon-creative-graphic-design" => "flaticon-creative-graphic-design"),
                ),
            ];
            $icons = array_merge($custom_icons, $icons);
            return $icons;
        }
        function add_flaticon_style() {
            wp_enqueue_style( 'flaticon-set-creative', MASCOT_CORE_GULU_URL_PATH . 'assets/flaticon-set-creative/style.css' );
        }
    }
    new Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu();
}