(function ($) {
  "use strict";

  var WidgetTestimonialThumbCarouselHandler = function ($scope) {
    console.log("test");
    // Testinomials Slider With Thumb
    if ($('.testimonial-content').length) {
      var testimonial_thumbs = new Swiper('.testimonial-thumbs', {
        spaceBetween: 10,
        loop: false,
        slidesPerView: 3,
        breakpoints: {
          320: {
            slidesPerView: 1,
          },
          425: {
            slidesPerView: 2,
          },
          768: {
            slidesPerView: 3,
          },
        }
      });

      var testimonial_content = new Swiper('.testimonial-content', {
        spaceBetween: 30,
        loop: true,
        thumbs: {
          swiper: testimonial_thumbs
        },
        navigation: {
          nextEl: ".testi-next",
          prevEl: ".testi-prev",
        },
        pagination: {
          el: "",
        },
      });
    }
  };

  //elementor front start
  $(window).on("elementor/frontend/init", function () {
    elementorFrontend.hooks.addAction("frontend/element_ready/tm-ele-cpt-testimonials.skin-style-current-theme1", WidgetTestimonialThumbCarouselHandler);
  });
  $(window).on("elementor/editor/before_enqueue_scripts", function () {
    elementorFrontend.hooks.addAction("frontend/element_ready/widget", function ($scope) {
      WidgetTestimonialThumbCarouselHandler;
    });
  });
})(jQuery);
