<!-- Project Block Three -->
<?php
$title = ( $title_html_tag_allow == 'yes' ) ? get_the_title() : wp_strip_all_tags(get_the_title());
if ( isset($project_title_array_new[get_the_ID()]) && !empty($project_title_array_new[get_the_ID()])) {
	$title = $project_title_array_new[get_the_ID()];
}
$counter ='01';
if ( isset($project_counter_array_new[get_the_ID()]) && !empty($project_counter_array_new[get_the_ID()])) {
	$counter = $project_counter_array_new[get_the_ID()];
}
?>
<!-- Project Block Two -->
<div class="projects-current-theme2 wow fadeInUp">
	<div class="inner-box">
		<div class="image-box">
			<div class="image">
				<a href="<?php the_permalink();?>"><?php echo get_the_post_thumbnail( get_the_ID(), $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) );?></a>
			</div>
		</div>
		<div class="content-box">
			<?php if ( $show_title == 'yes' ) : ?>
        <<?php echo esc_attr( $title_tag );?> class="title service-title">
        <?php if ( $link_title ) { ?>
        <a href="<?php the_permalink();?>"><?php echo $title;?></a>
        <?php } else { ?>
        <?php echo $title;?>
        <?php } ?>
        </<?php echo esc_attr( $title_tag );?>>
      <?php endif; ?>
			<?php if ( $show_excerpt == 'yes' ) : ?>
				<?php mascot_core_gulu_get_cpt_shortcode_template_part( 'excerpt', null, 'projects/tpl', $params, false ); ?>
			<?php endif; ?>
			<span class="count"><?php echo sprintf("%02d", $counter);?></span>
		</div>
		<div class="icon-box">
			<?php if(isset($project_icon_array_new[get_the_ID()]['icon_type'])) mascot_core_gulu_get_cpt_shortcode_template_part( 'icon', $project_icon_array_new[get_the_ID()]['icon_type'], 'projects/tpl', $params, false ); ?>
		</div>
	</div>
</div>