<!-- Testimonial Block Five -->
<div class="testimonial-block-five">
  <div class="inner-box">
    <div class="text-box">
      <span class="icon icon-quote-2"></span>
      <?php if ( $show_testimonial_text == 'yes' ) : ?>
        <?php mascot_core_gulu_get_cpt_shortcode_template_part( 'author-text', null, 'testimonials/tpl', $params, false ); ?>
      <?php endif; ?>
    </div>
    <div class="content-box">
      <div class="info-box">
        <div class="thumb">
          <?php echo get_the_post_thumbnail( get_the_ID(), $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) );?>
        </div>
        <?php if ( $show_author_name == 'yes' ) : ?>
          <<?php echo esc_attr( $author_name_tag );?> class="name"><?php echo esc_html( gulu_get_rwmb_group( 'gulu_' . "testimonials_mb_settings", 'author_name' ) );?></<?php echo esc_attr( $author_name_tag );?>>
        <?php endif; ?>
        <?php if ( $show_author_job_position == 'yes' ) : ?>
          <span class="job-position"><?php echo esc_html( gulu_get_rwmb_group( 'gulu_' . "testimonials_mb_settings", 'author_job_position' ) );?></span>
        <?php endif; ?>
      </div>
      <div class="rating-box">
        <div class="rating">
          <?php if ( $show_rating == 'yes' ) : ?>
            <?php include( 'star-rating.php' ); ?>
          <?php endif; ?>
        </div>
        <span class="rating-count"><?php echo esc_attr( $rating );?> <sub>/<?php echo esc_html__('5.0', 'mascot-core-gulu')?></sub></span>
      </div>
    </div>
  </div>
</div>